Highlighted

Can't solve "WARNING itms-9000: "The executable '***.app' is not a Position Independent Executable"

New Here ,
Dec 06, 2014

Copy link to clipboard

Copied

Greetings,

Please help!

Tried to upload the app to iTunes connect - received "WARNING ITMS-9000: "The executable '***.app' is not a Position Independent Executable. Please ensure that your build settings are configured to create PIE executables. For more information refer to Technical Q&A QA1788 - Building a Position Independent Executable in the iOS Developer Library."

Tried to solve the issue with everything from here: Re: No longer able to submit app to iTunes.

The problem still persist.

Details: FlashDevelop 4.6.4, Adobe AIR 16 beta, Flex SDK 4,6

TOPICS
Air beta

Views

1.7K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Can't solve "WARNING itms-9000: "The executable '***.app' is not a Position Independent Executable"

New Here ,
Dec 06, 2014

Copy link to clipboard

Copied

Greetings,

Please help!

Tried to upload the app to iTunes connect - received "WARNING ITMS-9000: "The executable '***.app' is not a Position Independent Executable. Please ensure that your build settings are configured to create PIE executables. For more information refer to Technical Q&A QA1788 - Building a Position Independent Executable in the iOS Developer Library."

Tried to solve the issue with everything from here: Re: No longer able to submit app to iTunes.

The problem still persist.

Details: FlashDevelop 4.6.4, Adobe AIR 16 beta, Flex SDK 4,6

TOPICS
Air beta

Views

1.7K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Dec 06, 2014 0
Adobe Community Professional ,
Dec 06, 2014

Copy link to clipboard

Copied

Are you doing a Flex project or and ActionScript 3 project? The previous PIE fixes certainly seem to solve the issue for AS3 projects, but I'm not sure about how Flex projects do.

In other words, if you're doing AS3 and you're using the Flex version of AIR 16, try the regular version of AIR 16. If you're doing aFlex project, and using the Flex version of AIR 16, maybe it still has a problem.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Dec 06, 2014 0
Advocate ,
Dec 07, 2014

Copy link to clipboard

Copied

In our local forum one user told that if you are on Application Loader 3.0 - you must update OSX to Yosemite and than this warnings disappering

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Dec 07, 2014 1
New Here ,
Dec 10, 2014

Copy link to clipboard

Copied

Thanks a lot! The problem is solved!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Dec 10, 2014 0
Malteze LATEST
New Here ,
Dec 10, 2014

Copy link to clipboard

Copied

The problem was solved by updating OSX to Yosemite (Thanks Anton for the tip!)

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Dec 10, 2014 0